<template>
    <ul class="block nav nav-underline">
        <li class="nav-item" v-for="({ name, url }) in tabs" :key="name">
            <router-link class="nav-link" exact-active-class="active" aria-current="page" :to=url>{{ name }}</router-link>
        </li>
    </ul>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
    setup() {
        const tabs = [{ name: "Bus Lines", url: '/' }, { name: "Stops", url: '/stops' }];
        return {
            tabs
        }
    }
});
</script>

<style lang="scss" scoped>
.nav {
    min-height: 64px;
    max-height: 64px;
    display: flex;
    align-items: center;
    padding: 0 24px;

    & .nav-item {
        height: 100%;

        .nav-link {
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0 24px;
            color: var(--gray);
            height: 100%;
            font-size: 14px;
            font-weight: 500;
            border-bottom: 2px solid transparent;

            &.active {
                color: var(--primary);
                border-color: var(--primary);
            }
        }
    }
}
</style>